language: python
python:
  - 2.7
  - 3.4
  - 3.5
  - 3.6
env:
  - DJANGO_VERSION=1.8.19
  - DJANGO_VERSION=1.9.13
  - DJANGO_VERSION=1.10.8
  - DJANGO_VERSION=1.11.15
  - DJANGO_VERSION=2.0.8
  - DJANGO_VERSION=2.1
matrix:
  exclude:
  - python: 2.7
    env: DJANGO_VERSION=2.0.8
  - python: 2.7
    env: DJANGO_VERSION=2.1
  - python: 3.4
    env: DJANGO_VERSION=2.1
install:
  - pip install -r dev-env-requirements.txt
  - pip install django==$DJANGO_VERSION
  - pip install codecov
script:
  - flake8
  - ./setup.py test
after_success:
  - codecov
